package eu.jonahbauer.wizard.client.libgdx.util;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.UUID;

public class SavedData {
    public @NotNull String uri = "wss://webdev.jonahbauer.eu/wizard/";
    public @Nullable String playerName;
    public @Nullable SessionCredentials credentials;

    public record SessionCredentials(@NotNull UUID session, @NotNull UUID player, @NotNull String secret) {}
}
