package eu.jonahbauer.wizard.common.messages.data;

import lombok.*;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(of = "uuid")
@ToString
public class PlayerData {
    /**
     * UUID of the player
     */
    private final @NonNull UUID uuid;
    /**
     * Name of the player
     */
    private final @NonNull String name;
    /**
     * Readiness state of the player
     */
    private final boolean ready;
}
